/*
 * Created on 18-sep-2007
 */
package be.ASPL.presentationlayer;

/**
 * The ServerInfo valuegetter extracts the ServerInfo from the ServletContext of the user Function's invoking servlet.
 * 
 * @author Erwin Smout
 */
class ArchitectureValueGetterForServerInfo extends ArchitectureValueGetter {

	/**
	 * The instance
	 */
	private static ArchitectureValueGetter instance = new ArchitectureValueGetterForServerInfo();

	/**
	 * Gets The instance
	 * 
	 * @return The instance
	 */
	static ArchitectureValueGetter getInstance ( ) {
		return instance;
	}

	/**
	 * 
	 */
	private ArchitectureValueGetterForServerInfo ( ) {

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.erwinsmout.ASPL.presentationlayer.ArchitectureValueGetter#getValue(be.erwinsmout.ASPL.presentationlayer.OnLinePresentationFunction)
	 */
	String getValue (OnLinePresentationFunction userFunction) {
		return userFunction.getCallingServlet().getServletContext().getServerInfo();
	}
}
