#! /bin/bash
#

if [ -z "$1" ]; then
# no arg provided; use $SIRA_PRISE_HOME
  if [ -e filename "$SIRA_PRISE_HOME/server/sp.server.jar" ]; then
    cd "$SIRA_PRISE_HOME/server"
    java -Xmx1280M -cp "$SIRA_PRISE_HOME/server/sp.server.jar":"$SIRA_PRISE_HOME/server" be.SIRAPRISE.server.SysGen_SW "$SIRA_PRISE_HOME/server" 
  else
    echo The installation is corrupt or the SIRA_PRISE_HOME environment variable is not properly set 
  fi
else
# following cd needed for the case when the sysgen procedure is invoked from within the automated installer, which presumably runs with the downloads directory as the current directory 
  cd "$1"
  java -Xmx1280M -cp "$1/sp.server.jar":"$1" be.SIRAPRISE.server.SysGen_SW $1
fi
