/**
 * 
 */
package be.AM4DP;

import java.util.Arrays;
import java.util.Locale;

import be.ASPL.presentationlayer.ASPLException;
import be.ASPL.presentationlayer.Presentation;
import be.ASPL.presentationlayer.PresentationField;
import be.ASPL.presentationlayer.PresentationFieldIOMode;

/**
 * @author Erwin
 * 
 */
public final class SalaryGradesCreatePresentation extends Presentation {
	/**
	 * @return
	 * @throws ASPLException
	 */
	private static final java.util.List<PresentationField> getPresentationFieldDefs ( ) throws ASPLException {
		return Arrays.asList(new PresentationField[] { //
				new PresentationField("NR_SGRD", be.ASPL.presentationlayer.IntegerType.class, Locale.ENGLISH, "", false, -1, PresentationFieldIOMode.IN, "", "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField("AM_LOWER_LIMIT", be.ASPL.presentationlayer.IEEEDoubleType.class, Locale.ENGLISH, "", false, -1, PresentationFieldIOMode.IN, "", "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField("AM_UPPER_LIMIT", be.ASPL.presentationlayer.IEEEDoubleType.class, Locale.ENGLISH, "", false, -1, PresentationFieldIOMode.IN, "", "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField("AM_BONUS", be.ASPL.presentationlayer.IEEEDoubleType.class, Locale.ENGLISH, "", false, -1, PresentationFieldIOMode.IN, "", "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
				});
	}

	/**
	 *
	 */
	private static final java.util.List<String> ACTIONS = Arrays.asList(new String[] {});

	/**
	 * @throws ASPLException
	 *             if the presentation could not be created
	 */
	public SalaryGradesCreatePresentation ( ) throws ASPLException {
		super(SalaryGradesCreatePresentation.class.getSimpleName(), getPresentationFieldDefs(), ACTIONS);
	}

}
