/*
 * Created on 28-jun-2006
 */
package be.ASPL.presentationlayer;

/**
 * @author Erwin Smout
 */
public class InvalidAttributeValueException extends ASPLException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -9064979983186444771L;

	/**
	 * @param value
	 * @param detailErrorMessage
	 */
	InvalidAttributeValueException (String value, String detailErrorMessage) {
		this(value, "-", detailErrorMessage); //$NON-NLS-1$
	}

	/**
	 * @param value
	 *            the text for an an invalid value to be reported
	 * @param typename
	 *            the type name
	 * @param detailErrorMessage
	 *            a detail message of what is wrong with the value text
	 */
	public InvalidAttributeValueException (String value, String typename, String detailErrorMessage) {
		super(I18N.getInstance(), "InvalidAttributeValueException.Text", new String[] { value, typename, detailErrorMessage }); //$NON-NLS-1$
	}
}
