package be.ASPL.presentationlayer;

/**
 * @author Erwin
 */
public final class NameValue implements PresentationValue {

	/**
	 * the value
	 */
	private String name;

	/**
	 * @param val
	 *            the value
	 */
	public NameValue (String val) {
		this.name = val;
	}

	/**
	 * Gets the value
	 * 
	 * @return the value
	 */
	public String getName ( ) {
		return name;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString ( ) {
		return name;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.ASPL.presentationlayer.WaarValue#toWAARString(be.ASPL.presentationlayer.UserData)
	 */
	@Override
	public String toASPLString (UserData userData) {
		return name;
	}
}
