/*
 * Created on 29-jan-2008
 */
package be.ASPL.presentationlayer;

/**
 * @author Erwin Smout
 */
public class UnexpectedPresentationToProcessException extends ASPLException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7655431009280295968L;

	/**
	 * Creates the exception object
	 * 
	 * @param presentationName
	 *            The name of the presentation that the doPresentationLogic encountered and did not expect
	 */
	public UnexpectedPresentationToProcessException (String presentationName) {
		super(I18N.getInstance(), "UnexpectedPresentationToProcessException.Text", new String[] { presentationName }); //$NON-NLS-1$
	}
}
