/**
 * The Presentationlayer package provides the functions needed to do UI stuff in a web application.
 * 
 * This includes (a.o. but not limited to :) 
 * 
 * <ul>
 * <li>A predefined Servlet that can act as the entry point for the web application's functions</li>
 * <li>A "skeleton" PresentationFunction that can be extended to implement the details of your web application's functions</li>
 * <li>Facilities to define presentation screens, such as HTML renderers and presentation-level "type definitions"</li>
 * <li>A predefined Servlet for identifying and authenticating users wanting to access your web application</li>
 * </ul>
 */
package be.ASPL.presentationlayer;

